Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.response
Class PageUpdateResponse

    java.lang.Object
      org.jboss.portal.portlet.controller.response.ControllerResponse
          org.jboss.portal.portlet.controller.response.PortletResponse
              org.jboss.portal.portlet.controller.response.PageUpdateResponse

    public class PageUpdateResponse

extends PortletResponse

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from class org.jboss.portal.portlet.controller.response.PortletResponse
`CONSUMED_EVENT_FLOODED, DISTRIBUTION_DONE, INTERRUPTED, PRODUCED_EVENT_FLOODED`

Constructor Summary
`PageUpdateResponse(UpdateNavigationalStateResponse update, ResponseProperties properties, PortletPageNavigationalState pageNavigationalState, int eventCycleStatus)`

Method Summary
`PortletPageNavigationalState` | `getPageNavigationalState()`
`ResponseProperties` | `getProperties()`

Methods inherited from class org.jboss.portal.portlet.controller.response.PortletResponse
`getEventDistributionStatus, getResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageUpdateResponse

    public PageUpdateResponse(UpdateNavigationalStateResponse update,
                              ResponseProperties properties,
                              PortletPageNavigationalState pageNavigationalState,
                              int eventCycleStatus)

Method Detail

### getProperties

    public ResponseProperties getProperties()

### getPageNavigationalState

    public PortletPageNavigationalState getPageNavigationalState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.